Name:		freedroid
Version:	1.0.2
Release:	%mkrel 9
Summary:        Summary Clone of the C64 Game Paradroid
License:        GPLv2+
Group:          Games/Arcade
URL:            http://freedroid.sourceforge.net/

Source0:	%{name}-%{version}.tar.bz2
Source1:	http://freedroid.sourceforge.net/Freedroid_Manual.ps.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png

Patch:		freedroid-1.0.2-vorbis.patch.bz2
Patch1:		freedroid-1.0.2-format-strings.patch

BuildRequires:	SDL_mixer-devel SDL_image-devel jpeg-devel png-devel
BuildRequires:	libvorbis-devel

%description
This is a clone of the classic game "Paradroid" on Commodore 64
with some improvements and extensions to the classic version.

In this game, you control a robot, depicted by a small white ball with
a few numbers within an interstellar spaceship consisting of several
decks connected by elevators.

The aim of the game is to destroy all enemy robots, depicted by small
black balls with a few numbers, by either shooting them or seizing
control over them by creating connections in a short subgame of
electric circuits.

%prep
%setup -q
%patch -p1
%patch1 -p1
%{__cp} %SOURCE1 .
autoconf

%build
%configure2_5x --bindir=%_gamesbindir --datadir=%_gamesdatadir
%make CC="%{__cc} $RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}
%makeinstall_std transform=""
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Freedroid
Comment=%Summary
Exec=%_gamesbindir/%name
Icon=%name
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade;Game;ArcadeGame;
EOF

install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

rm -rf %{buildroot}%{_gamesdatadir}/%{name}/mac-osx

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README AUTHORS ChangeLog NEWS TODO Freedroid_Manual.ps.bz2
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_mandir}/man6/%{name}.6*
%_datadir/applications/mandriva*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png




%changelog

* Fri Dec 09 2011 obgr_seneca <obgr_seneca> 1.0.2-9.mga2
+ Revision: 179589
- imported package freedroid


* Fri Dec 09 2011 Oliver Burger <oliver.bgr@googlemail.com> 1.0.2-9.mga2
- rebuild for Mageia2
- cleaned spec

* Thu Jul 23 2009 Götz Waschk <waschk@mandriva.org> 1.0.2-8mdv2010.0
+ Revision: 398785
- fix format strings
- update license

* Tue Jul 22 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.2-7mdv2009.0
+ Revision: 240721
- rebuild
- drop old menu
- kill re-definition of %%buildroot on Pixel's request
- kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Aug 26 2007 Götz Waschk <waschk@mandriva.org> 1.0.2-5mdv2008.0
+ Revision: 71620
- Import freedroid



* Thu Aug 24 2006 Gtz Waschk <waschk@mandriva.org> 1.0.2-5mdv2007.0
- fix vorbis detection
- fix buildrequires
- xdg menu

* Mon Dec 05 2005 Götz Waschk <waschk@mandriva.org> 1.0.2-4mdk
- Rebuild

* Fri Dec  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.2-3mdk
- rebuild

* Thu Nov 27 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.0.2-2mdk
- remove macosx devel files
- macroized

* Thu Nov 27 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.0.2-1mdk
- 1.0.2
- cosmetics

* Tue May  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.1-1mdk
- add the man page
- new version

* Mon Apr 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.8.4-5mdk
- fix buildrequires

* Mon Apr 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.8.4-4mdk
- fix distriblint warning

* Sat Apr 26 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.8.4-3mdk
- dropped Prefix tag
- compile with $RPM_OPT_FLAGS
- added icons

* Fri Dec 20 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.8.4-2mdk
- add the manual to the docs

* Fri Dec 20 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.8.4-1mdk
- initial package
